com.sun.jdi

## Class ObjectCollectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.ObjectCollectedException

- All Implemented Interfaces:
    Serializable

      public class ObjectCollectedException
      extends RuntimeException

  Thrown to indicate that the requested operation cannot be completed because the specified object has been garbage collected.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectCollectedException()`
    `ObjectCollectedException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectCollectedException

          public ObjectCollectedException()

    - #### ObjectCollectedException

          public ObjectCollectedException(String s)

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.